Path::IsDev::NegativeHeuristic::IsDev::IgnoreFile(3)

NAME
Path::IsDev::NegativeHeuristic::IsDev::IgnoreFile - An explicit exclusion file heuristic

VERSION
version 1.001003

SYNOPSIS
In a "::HeuristicSet":

    sub negative_heuristics { return 'IsDev::IgnoreFile' }

Then on your file system:

    touch .path_isdev_ignore

Then the given location will no longer be a possible candidate for being deemed a "dev" root directory.

However:

•   Its parents can still be deemed "dev" directories

•   Its children can still be deemed "dev" directories

METHODS

  "excludes_files"
Files valid for triggering this heuristic:

    .path_isdev_ignore

  "excludes"
Returns an exclusion if any of "excludes_files" exists, and are files.

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.